查询 License 续期订单
更新时间不可用
查询指定 PID 下的 License 续期订单。
GET
https://api.sd-rtn.com/dabiz/license/v3/projects/{appId}/renewals该方法可以查询指定 PID 下所有的续期订单,方便你根据剩余数量和有效期等信息,确定使用哪一个 renewId 进行续期。
鉴权
appIdstring必填
你的声网项目使用的 App ID。
pidstring(可选)由 SKU、有效期、品类定义的 License 激活标识。需要和 activate 接口中传入的 pid 一致。
pageinteger(可选)页码。默认值为 1。
sizeinteger(可选)每页查询的 License 数量。默认值为 100,最大值为 100。
响应
请求成功。
响应 Body
countinteger续期订单数量。
由多组续期订单信息组成的数组。
renewIdstring续期 ID。
pidstring由 SKU、有效期、品类定义的 License 激活标识。和你在请求中填入的 pid 一致。
typeintegerLicense 类型:
1: 整个 CID 下所有 App ID 均可使用。2: 仅指定 App ID 可用。
durationinteger有效期。单位根据你的 pid 类型而定:
- 如果
pid为测试类型,则有效期的单位为天。 - 如果
pid为正式类型,则有效期的单位为年。
totalCountinteger续期次数。
allocateCountinteger已经使用的次数。
createTimestring续期创建的时间,RFC3339 格式。
请求示例
curl --request GET \
--url "https://api.sd-rtn.com/dabiz/license/v3/projects/:appId/renewals" \
--header 'Authorization: Basic <credentials>'响应示例
{
"code": 200,
"data": {
"count": 2,
"list": [
{
"renewId": "xxxx",
"pid": "xxxx",
"type": 2,
"duration": 50,
"totalCount": 20,
"allocateCount": 0,
"createTime": "2024-12-02T08:32:12Z"
},
{
"renewId": "xxxx",
"pid": "xxxx",
"type": 1,
"duration": 30,
"totalCount": 100,
"allocateCount": 0,
"createTime": "2024-12-02T08:25:30Z"
}
]
}
}